Main Page glibmm Namespaces Book

# nodetree.h File Reference

## Namespaces

namespace | Glib

## Classes

class | Glib::NodeTree<T>
| N-ary Trees — trees of data with any number of branches The NodeTree class and its associated functions provide an N-ary tree data structure, in which nodes in the tree can contain arbitrary data. More...

## Enumerations

enum | Glib::TraverseType { Glib::TRAVERSE_IN_ORDER = G_IN_ORDER, Glib::TRAVERSE_PRE_ORDER = G_PRE_ORDER, Glib::TRAVERSE_POST_ORDER = G_POST_ORDER, Glib::TRAVERSE_LEVEL_ORDER = G_LEVEL_ORDER, Glib::IN_ORDER, Glib::PRE_ORDER, Glib::POST_ORDER, Glib::LEVEL_ORDER }
| Specifies the type of traveral performed by methods such as NodeTree::_traverse() and NodeTree::find(). More...